Bug 975967 - DBusException: org.freedesktop.DBus.Error.UnknownMethod: Method "Get" with signature "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist
DBusException: org.freedesktop.DBus.Error.UnknownMethod: Method "Get" with si...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:382bb2f1c0700deb4976acd04b9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 13:00 EDT by Brian Harrington
Modified: 2014-03-03 19:33 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-28 13:30:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (727.72 KB, text/plain)
2013-06-19 13:00 EDT, Brian Harrington
no flags Details
File: anaconda.log (9.57 KB, text/plain)
2013-06-19 13:00 EDT, Brian Harrington
no flags Details
File: backtrace (1.25 KB, text/plain)
2013-06-19 13:00 EDT, Brian Harrington
no flags Details
File: environ (783 bytes, text/plain)
2013-06-19 13:01 EDT, Brian Harrington
no flags Details
File: ifcfg.log (4.20 KB, text/plain)
2013-06-19 13:01 EDT, Brian Harrington
no flags Details
File: lsblk_output (1.42 KB, text/plain)
2013-06-19 13:01 EDT, Brian Harrington
no flags Details
File: nmcli_dev_list (37.19 KB, text/plain)
2013-06-19 13:01 EDT, Brian Harrington
no flags Details
File: packaging.log (318.04 KB, text/plain)
2013-06-19 13:01 EDT, Brian Harrington
no flags Details
File: program.log (76.48 KB, text/plain)
2013-06-19 13:01 EDT, Brian Harrington
no flags Details
File: storage.log (58.86 KB, text/plain)
2013-06-19 13:01 EDT, Brian Harrington
no flags Details
File: syslog (170.12 KB, text/plain)
2013-06-19 13:01 EDT, Brian Harrington
no flags Details

  None (edit)
Description Brian Harrington 2013-06-19 13:00:40 EDT
Description of problem:
After configuring the wireless network (and verifying IP, DNS, etc) the main screen listed my network as not connected.  I clicked on "Network" again, selected my wireless and the Network Name was correct through right below the name of the nic (wlp3s0) the status was listed as "connecting".  

When I subsequently clicked "configure" to make sure it saved the WPA2 PSK anaconda crashed.
The following was filed automatically by anaconda:
anaconda 19.30-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 70, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/network.py", line 76, in getNMObjProperty
    property)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/network.py", line 1039, in _ap_security_string_dbus
    flags = getNMObjProperty(ap, ".AccessPoint", "Flags")
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/network.py", line 777, in _refresh_ap
    ap_str = self._ap_security_string_dbus(active_ap_dbus)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/network.py", line 684, in refresh_ui
    self._refresh_ap(device, state)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/network.py", line 380, in on_device_selection_changed
    self.refresh_ui(device)
DBusException: org.freedesktop.DBus.Error.UnknownMethod: Method "Get" with signature "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist


Version-Release number of selected component:
anaconda-19.30-1

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:UUID=0F54-47BF quiet BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.2-301.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Beta

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/network.py", line 380, in on_device_selection_changed
    self.refresh_ui(device)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/network.py", line 684, in refresh_ui
    self._refresh_ap(device, state)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/network.py", line 777, in _refresh_ap
    ap_str = self._ap_security_string_dbus(active_ap_dbus)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/network.py", line 1039, in _ap_security_string_dbus
    flags = getNMObjProperty(ap, ".AccessPoint", "Flags")
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/network.py", line 76, in getNMObjProperty
    property)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 70, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Error.UnknownMethod: Method "Get" with signature "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist
Comment 1 Brian Harrington 2013-06-19 13:00:46 EDT
Created attachment 763050 [details]
File: anaconda-tb
Comment 2 Brian Harrington 2013-06-19 13:00:52 EDT
Created attachment 763051 [details]
File: anaconda.log
Comment 3 Brian Harrington 2013-06-19 13:00:55 EDT
Created attachment 763052 [details]
File: backtrace
Comment 4 Brian Harrington 2013-06-19 13:01:00 EDT
Created attachment 763053 [details]
File: environ
Comment 5 Brian Harrington 2013-06-19 13:01:03 EDT
Created attachment 763054 [details]
File: ifcfg.log
Comment 6 Brian Harrington 2013-06-19 13:01:07 EDT
Created attachment 763055 [details]
File: lsblk_output
Comment 7 Brian Harrington 2013-06-19 13:01:11 EDT
Created attachment 763056 [details]
File: nmcli_dev_list
Comment 8 Brian Harrington 2013-06-19 13:01:15 EDT
Created attachment 763057 [details]
File: packaging.log
Comment 9 Brian Harrington 2013-06-19 13:01:19 EDT
Created attachment 763058 [details]
File: program.log
Comment 10 Brian Harrington 2013-06-19 13:01:22 EDT
Created attachment 763059 [details]
File: storage.log
Comment 11 Brian Harrington 2013-06-19 13:01:27 EDT
Created attachment 763060 [details]
File: syslog
Comment 12 Brian Lane 2013-06-20 21:18:44 EDT
Please retry with TC6, alot has changed since this version.

Note You need to log in before you can comment on or make changes to this bug.